//---------------------------------------------------------------------------------------
//	MailAddress.h created by moritz on Mon 09-Mar-1998
//	This code is part of the Alexandra Newsreader Project. For copyright details see
//	GNU public license version 2 or above. No warranties implied. Use at own risk.
//	More information can be found at <http://www.object-factory.com/Alexandra>.
//	@(#)$Id: MailAddress.h,v 1.3 1998/06/30 17:31:43 moritz Exp $
//---------------------------------------------------------------------------------------

#import "HeaderFieldBody.h"

@interface MailAddress : HeaderFieldBody
{
    NSString		*localPart;
    NSString		*domain;
    NSString		*realName;

    NSArray			*routes;
    NSMutableArray	*comments;
}

+ (BOOL)sloppyParser;
+ (void)setSloppyParser:(BOOL)flag;

+ (MailAddress *)mailAddressWithString:(NSString *)aString;
+ (MailAddress *)mailAddressWithLocalPart:(NSString *)aString domain:(NSString *)otherString;
+ (MailAddress *)mailAddressWithAddressSpecification:(NSString *)aString realName:(NSString *)aName;

- initWithString:(NSString *)string;
- (NSString *)stringRepresentation;

- (void)setLocalPart:(NSString *)aString;
- (NSString *)localPart;

- (void)setDomain:(NSString *)aString;
- (NSString *)domain;

- (void)setRealName:(NSString *)aString;
- (NSString *)realName;

- (void)setAddressSpecification:(NSString *)aString;
- (NSString *)addressSpecification;

+ (BOOL)isValidMailAddress:(NSString *)aString;

@end


extern NSString	*RFC822ParseException;
extern NSString	*RFC822Scanner;
